{
  "schema_version": "1.4.0",
  "id": "GHSA-rpw7-85c5-fxrp",
  "modified": "2022-05-14T01:39:11Z",
  "published": "2022-05-14T01:39:11Z",
  "aliases": [
    "CVE-2018-17157"
  ],
  "details": "In FreeBSD before 11.2-STABLE(r340854) and 11.2-RELEASE-p5, an integer overflow error when handling opcodes can cause memory corruption by sending a specially crafted NFSv4 request. Unprivileged remote users with access to the NFS server may be able to execute arbitrary code.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-17157"
    },
    {
      "type": "WEB",
      "url": "https://secuniaresearch.flexerasoftware.com/secunia_research/2018-25"
    },
    {
      "type": "WEB",
      "url": "https://security.freebsd.org/advisories/FreeBSD-SA-18:13.nfs.asc"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/106192"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1042164"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-12-04T15:29:00Z"
  }
}